body {
    background-color: #f8f9fa;
}

#particles-js {
    width: 100%;
    height: 100%;
    background-color: #8ea8ca;
    background-image: url('');
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    position: fixed;
    z-index: -1;
}

.main-content {
    display: flex;
    width: 95%;
    height: 100vh;
    margin: auto;
    justify-content: center;
    /* align-items: center; */
    padding-top: 50px;
    padding-bottom: 50px;
    /* margin-bottom: 50px; */
}

label.form-label {
    font-size: 12.5px !important;
    margin-bottom: 2px;
    margin-top: 8px;
    font-weight: bold;
}

span.required {
    font-weight: bold;
    color: red;
}

.bootstrap-select>.dropdown-toggle {
    border: 1px solid #ced4da !important;
}

html[data-layout-mode="dark"] .bootstrap-select>.dropdown-toggle {
    border: 1px solid #313131 !important;
}

form.was-validated .bootstrap-select>.form-control:invalid+.dropdown-toggle {
    border-color: #dc3545 !important;
}

form.was-validated .bootstrap-select>.form-control:valid+.dropdown-toggle {
    border-color: #0ab39c !important;
}

form.was-validated .form-group.has-validation:has(.bootstrap-select > .form-control:invalid + .dropdown-toggle) .invalid-feedback {
    display: block;
}

.custom-switch-xl {
    width: 3rem !important;
    height: 1.5rem !important;
}

input[switch] {
    display: none
}

input[switch]+label {
    font-size: 1em;
    line-height: 1;
    width: 96px;
    height: 24px;
    background-color: #2ab57d;
    background-image: none;
    border-radius: 2rem;
    padding: .16667rem;
    cursor: pointer;
    display: inline-block;
    text-align: center;
    position: relative;
    font-weight: 500;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

input[switch]+label:before {
    color: #ffffff;
    content: attr(data-off-label);
    display: block;
    font-family: inherit;
    font-weight: 500;
    font-size: 12px;
    line-height: 21px;
    position: absolute;
    right: 1px;
    margin: 3px;
    top: -2px;
    text-align: center;
    min-width: 1.66667rem;
    overflow: hidden;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

input[switch]+label:after {
    content: "";
    position: absolute;
    left: 3px;
    background-color: #e9e9ef;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 2rem;
    height: 20px;
    width: 20px;
    top: 2px;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

input[switch]:checked+label {
    background-color: #5156be
}

input[switch]:checked+label:before {
    color: #fff;
    content: attr(data-on-label);
    right: auto;
    left: 3px
}

input[switch]:checked+label:after {
    left: 73px;
    background-color: #e9e9ef
}

input[switch]:disabled+label {
    opacity: .5;
    cursor: not-allowed
}

input[switch=bool]+label {
    background-color: #fd625e
}

input[switch=bool]+label:before, input[switch=bool]:checked+label:before, input[switch=default]:checked+label:before {
    color: #fff
}

input[switch=bool]:checked+label {
    background-color: #2ab57d
}